fsextinfo

NAME
fsextinfo - determines information about an Extended File System (ext) volume

SYNOPSIS
fsextinfo [-B bodyfile] [-E inode_number] [-F path] [-o offset] [-dhHvV] source

DESCRIPTION
fsextinfo is a utility to determine information about an Extended File System (ext) volume

fsextinfo is part of the libfsext package. libfsext is a library to access the Extended File System (ext) format

source is the source file.

The options are as follows:

-B bodyfile
    output file system information as a bodyfile

-d  calculate a MD5 hash of a file entry to include in the bodyfile

-E inode_number
    show information about a specific inode or "all"

-F path
    show information about a specific file entry path

-h  shows this help

-H  shows the file system hierarchy

-o offset
    specify the volume offset

-v  verbose output to stderr

-V  print version

ENVIRONMENT
None

FILES
None

EXAMPLES

    # fsextinfo ext4.raw
    fsextinfo 20220727

    Extended File System information:

    Volume information:
            File system                     : ext4
            Label                           : ext4_test
            Compatible features             : 0x0000003c
                    Has journal (EXT3_FEATURE_COMPAT_HAS_JOURNAL)
                    Have extended inode attributes (EXT2_FEATURE_COMPAT_EXT_ATTR)
                    Resizable volume (EXT2_FEATURE_COMPAT_RESIZE_INO)
                    Use directory hash index (EXT2_FEATURE_COMPAT_DIR_INDEX)

            Incompatible features           : 0x000002c2
                    Has directory type (EXT2_FEATURE_INCOMPAT_FILETYPE)
                    Has extents (EXT4_FEATURE_INCOMPAT_EXTENTS)
                    Has 64-bit support (EXT4_FEATURE_INCOMPAT_64BIT)
                    (EXT4_FEATURE_INCOMPAT_FLEX_BG)

            Read-only compatible features   : 0x0000046b
                    Has sparse superblocks and group descriptor tables (EXT2_FEATURE_RO_COMPAT_SPARSE_SUPER)
                    Contains large files (EXT2_FEATURE_RO_COMPAT_LARGE_FILE)
                    (EXT4_FEATURE_RO_COMPAT_HUGE_FILE)
                    (EXT4_FEATURE_RO_COMPAT_DIR_NLINK)
                    (EXT4_FEATURE_RO_COMPAT_EXTRA_ISIZE)
                    (EXT4_FEATURE_RO_COMPAT_METADATA_CSUM)

            Number of inodes                : 1024
            Last mount path                 : /mnt/ext4
            Last mount time                 : Jul 22, 2021 14:07:32 UTC
            Last written time               : Jul 22, 2021 14:07:33 UTC

DIAGNOSTICS
Errors, verbose and debug output are printed to stderr when verbose output -v is enabled. Verbose and debug output are only printed when enabled at compilation.

BUGS
Please report bugs of any kind to <joachim.metz@gmail.com> or on the project website: https://github.com/libyal/libfsext/

AUTHOR
These man pages were written by Joachim Metz.

COPYRIGHT
Copyright 2010-2022, Joachim Metz <joachim.metz@gmail.com>. This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO